# tls.caCert

Specifies the CA certificate file used to verify DTLS client certificates. .. summary-end

This parameter applies to imdtls: Input Module for DTLS Protocol over UDP.

Name:

  tls.caCert

Scope:

  input

Type:

  string

Default:

  none

Required?:

  no

Introduced:

  v8.2402.0

## Description

The CA certificate that is being used to verify the client certificates. This file must be configured if `tls.authMode` is set to `fingerprint`, `name` or `certvalid`.

## Input usage

    module(load="imdtls")
    input(type="imdtls"
          tls.caCert="/etc/rsyslog/ca.pem"
          tls.authMode="certvalid")

## See also

See also imdtls: Input Module for DTLS Protocol over UDP.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.